Page 1 of 1

intel libmkl_intel_thread.dylib needed?

PostPosted: Sat Dec 05, 2009 3:35 pm
by diffent
Hello, I am trying your Mac version
and I first found I was missing a library
called libiomp5.dylib ... checking into the Intel
site, I found this library was free for download.

However, now it says I need libmkl_intel_thread.dylib

Is this something that I have to purchase from Intel
in order to use CULA tools on a Mac? (Or PC, for that matter).
This seems to be a part of the Intel Math Kernel Library...(mkl).

Re:intel libmkl_intel_thread.dylib needed?

PostPosted: Mon Dec 07, 2009 8:58 am
by john
Hi,
Thank you for bringing this to our attention. We have located and corrected the problem with our installer creation script. I will update this thread (and email you) when we have posted a corrected build.

Re:intel libmkl_intel_thread.dylib needed?

PostPosted: Mon Dec 07, 2009 9:08 am
by diffent
Thank you very much. Does this mean that I do not need to get the Intel Math Kernel Lib? I tried to download and install an eval version of that, but it has some trouble installing as well...some kind of permissions problem. It seems to be a bit pricey too... I had a ticket out to Intel on this install problem but perhaps I can forget about it if you are going to handle it on your end!

Re:intel libmkl_intel_thread.dylib needed?

PostPosted: Mon Dec 07, 2009 9:33 am
by john
Correct, you will not need MKL installed in order to use CULA. You're the first one to discover this issue so you're the first person that didn't already have a copy! In the meantime, installing an evaluation copy of MKL would work - chances are that it will be at least a few days before I can make a release.